<?
/* 
   This file is part of the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2005-2006 Sci-Tech Ontario Inc <info@scitechontario.org>
   Copyright (C) 2005-2008 James Grant <james@lightbox.org>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>
<?
 require("../common.inc.php");
 require_once("../user.inc.php");
 user_auth_required('config');

 send_header("Conference Configuration",
 		array('Committee Main' => 'committee_main.php')
		,"configuration"
		);

// Display a warning about changing settings if registrations have started
 $dates = array("regopen");
 if($conference['type']!='scienceolympics') {
 	$dates []= "judgeregopen";
 }
 $ok=true;
 foreach($dates as $date) {
	if($config['dates'][$date] && $config['dates'][$date]!="0000-00-00 00:00:00") {
	       $q=mysql_query("SELECT (NOW()<'".$config['dates'][$date]."') AS test");
	       $r=mysql_fetch_object($q);
	       $ok=$ok & $r->test;
	}
 }
 if(!$ok) {
         echo "<br />";
         echo "<div class='error'>Warning: Registrations have begun. You should not change any configuration settings.</div>";
         echo "<br />";
 }

 if($conference['type']=='scienceolympics') {
	 echo "<table class=\"adminconfigtable\">";
	 echo " <tr>";
	 echo "  <td><a href=\"variables.php\">".theme_icon("configuration_variables")."<br />".i18n("Conference Configuration Variables")."</a></td>";
	 echo "  <td><a href=\"dates.php\">".theme_icon("important_dates")."<br />".i18n("Important Dates")."</a></td>";
	 //echo "  <td><a href=\"categories.php\">".theme_icon("project_age_categories")."<br />".i18n("Age Categories")."</a></td>";
	 echo "  <td><a href=\"images.php\">".theme_icon("images")."<br />".i18n("Images (Fair Logo)")."</a></td>";
	 echo "  <td></td>\n";
	 echo " </tr>";
	 echo "</table>\n";
 }
 else {
	 echo "<table class=\"adminconfigtable\">";
	 echo " <tr>";
	 echo "  <td><a href=\"variables.php\">".theme_icon("configuration_variables")."<br />".i18n("Conference Configuration Variables")."</a></td>";
	 echo "  <td><a href=\"dates.php\">".theme_icon("important_dates")."<br />".i18n("Important Dates")."</a></td>";
	 echo "  <td><a href=\"categories.php\">".theme_icon("project_age_categories")."<br />".i18n("Project Age Categories")."</a></td>";
	 echo "  <td><a href=\"divisions.php\">".theme_icon("project_divisions")."<br />".i18n("Project Divisions")."</a></td>";
	 echo " </tr>";
	 echo " <tr>";
	 echo "  <td><a href=\"divisions_cwsf.php\">".theme_icon("cwsf_project_divisions")."<br />".i18n("CWSF Project Divisions")."</a></td>";
	 echo "  <td><a href=\"subdivisions.php\">".theme_icon("project_sub_divisions")."<br />".i18n("Project Sub-Divisions")."</a></td>";
	 echo "  <td><a href=\"pagetexts.php\">".theme_icon("page_texts")."<br />".i18n("Page Texts")."</a></td>";
	 echo "  <td><a href=\"signaturepage.php\">".theme_icon("exhibitor_signature_page")."<br />".i18n("Exhibitor Signature Page")."</a></td>";
	 echo " </tr>\n";
	 echo " <tr>";
	 echo "  <td><a href=\"judges_questions.php\">".theme_icon("judge_registration_questions")."<br />".i18n("Judge Registration Questions")."</a></td>";
	 echo "  <td><a href=\"safetyquestions.php\">".theme_icon("project_safety_questions")."<br />".i18n("Project Safety Questions")."</a></td>";
	 echo "  <td><a href=\"images.php\">".theme_icon("images")."<br />".i18n("Images (Fair Logo)")."</a></td>";
	 echo "  <td></td>";
	 echo " </tr>\n";
	 echo "</table>\n";
 }

 send_footer();
?>
